<?php



// Font resize buttons



add_action('enqueue_block_editor_assets', 'loadWAHProFontResize');



function loadWAHProFontResize() {



    wp_enqueue_script(



        'nagishx-font-resize',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-font-resize.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Letter spacing button



add_action('enqueue_block_editor_assets', 'loadWAHProLetterSpacing');



function loadWAHProLetterSpacing() {



    wp_enqueue_script(



        'nagishx-letter-spacing',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-letter-spacing.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Highlight links button



add_action('enqueue_block_editor_assets', 'loadWAHProHighlightLinks');



function loadWAHProHighlightLinks() {



    wp_enqueue_script(



        'nagishx-highlight-links',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-highlight-links.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Highlight links button



add_action('enqueue_block_editor_assets', 'loadWAHProHighlightTitles');



function loadWAHProHighlightTitles() {



    wp_enqueue_script(



        'nagishx-highlight-titles',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-highlight-titles.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Underline links button



add_action('enqueue_block_editor_assets', 'loadWAHProUnderlineLinks');



function loadWAHProUnderlineLinks() {



    wp_enqueue_script(



        'nagishx-underline-links',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-underline-links.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Readable font button



add_action('enqueue_block_editor_assets', 'loadWAHProReadableFont');



function loadWAHProReadableFont() {



    wp_enqueue_script(



        'nagishx-readable-font',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-readable-font.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Large cursor button



add_action('enqueue_block_editor_assets', 'loadWAHProLargeCursor');



function loadWAHProLargeCursor() {



    wp_enqueue_script(



        'nagishx-large-cursor',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-large-cursor.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Monochrome button



add_action('enqueue_block_editor_assets', 'loadWAHProMonochrome');



function loadWAHProMonochrome() {



    wp_enqueue_script(



        'nagishx-monochrome',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-monochrome.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Sepia button



add_action('enqueue_block_editor_assets', 'loadWAHProSepia');



function loadWAHProSepia() {



    wp_enqueue_script(



        'nagishx-sepia',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-sepia.js',



        array('wp-blocks','wp-editor'),



        true



    );



}







// Sepia button



add_action('enqueue_block_editor_assets', 'loadWAHProGreyscaleImages');



function loadWAHProGreyscaleImages() {



    wp_enqueue_script(



        'nagishx-greyscale-images',



        plugin_dir_url(__FILE__) . 'js/nagishx-g-greyscale-images.js',



        array('wp-blocks','wp-editor'),



        true



    );



}



